Taslak Döndür

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Rotate and the translation is 17% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Move.svg Move
Next: Scale Draft Scale.svg Arrow-right.svg

Draft Rotate.svg Döndür

Menü konumu
Taslak → Döndür
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
R O
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Taşı, Dizi

Tanım

Döndürme aracı, seçilen nesneleri bir referans noktasının etrafındaki belirli bir açıyla döndürür veya kopyalar.

Döndür aracı, Taslak tezgahı veya Eskiz tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ancak Parça tezgahı ve Mimari tezgahı ile oluşturulanlar gibi birçok 3D nesne üzerinde de kullanılabilir.

Draft Rotate example.jpg

Bir merkez referans noktası kullanarak bir nesneyi, bir referans açısından başka bir açıyla döndürme

Nasıl kullanılır

See also: Draft Snap and Draft Constrain.

  1. Taşımak veya kopyalamak istediğiniz nesneleri seçin.
  2. Draft Rotate.svg Döndür düğmesine basın veya R ardından O tuşlarına basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın. Bu, işlemin dönme ekseninin geçeceği temel noktası olarak işlev görür.
  4. 3D görünümünde ikinci bir noktaya tıklayın veya taban açısını yazın. Bu, ilk nokta etrafında dönecek bir taban çizgisini tanımlar.
  5. 3D görünümünde üçüncü bir noktaya tıklayın veya bir dönüş açısı yazın. Bu, taban çizgisinin ve dolayısıyla nesnelerin dönmesini gösterir.

Seçenekler

The single character keyboard shortcuts and the modifier key mentioned here can be changed. See Draft Preferences.

  • Verilen eksendeki bir sonraki noktayı sınırlamak için bir noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg add point düğmesine basabilirsiniz.
  • Devammoduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, işlemi tamamladıktan sonra Döndürme aracı yeniden başlatılır ve böylece araç düğmesine tekrar basmadan nesneleri döndürmenizi veya kopyalamanızı sağlar.
  • Kopyalamamoduna geçmek için P tuşuna basın veya onay kutusunu tıklayın. Kopyalama modu açıksa, Döndürme aracı orijinal şeklini yerinde tutacaktır, ancak üçüncü noktada ayarlanan açıyla bir kopya oluşturur. : Sırayla birkaç kopya yerleştirmek için hem T hem de P kullanabilirsiniz. Bu durumda, kopyalanan öğe en son yerleştirilen kopyadır.
  • Kopyalama moduna geçmek için ikinci noktadan sonra Alt tuşunu basılı tutun. Üçüncü noktaya tıkladıktan sonra Alt tuşunu basılı tutmak, aynı döndürme temel noktasını ve taban çizgisini kullanarak kopya yerleştirmeye devam etmenizi sağlar; İşlemi bitirmek ve tüm kopyaları görmek için Alt tuşunu bırakın.
  • snapping noktanızı mesafeden bağımsız olarak en yakın çeki konumuna zorlamak için dönerken Ctrl tuşunu basılı tutun.
  • Bir sonraki noktanızı dönme baz noktasına göre yatay veya dikey olarak constrain konumuna döndürürken Shift tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; önceden yerleştirilmiş kopyalar kalacaktır.

Notes

  • An Object that is attached cannot be rotated with the Draft Rotate command. To rotate it either its VeriSupport object has to be rotated, or its VeriAttachment Offset has to be changed.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To store and reuse the same copy mode setting across commands: Edit → Preferences... → Draft → General settings → Draft tools options → Global copy mode.
  • To reselect the base objects after copying objects: Edit → Preferences... → Draft → General settings → Draft tools options → Select base objects after copying.

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Döndür aracı, aşağıdaki işlevi kullanarak makrolar ve python konsolundan kullanılabilir:

rotated_list = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • objectlist içindeki nesnelerin temel noktasını verilen angle ile döndürür.
    • objectlist, tek bir nesne veya bir nesne listesidir.
    • Bir dönme temel noktası (center) ve axis verilirse, bunlar kullanılır; Aksi taktirde rotasyon orijine ve Z ekseni etrafına dayanır. : Dönme açısı, nesnenin taban noktasına göredir, yani bir nesne 45 derece döndürülürse ve ardından bir başka 45 derece döndürülürse, orijinal konumundan toplam 90 derece döndürülür.
  • copy ise True ise orijinal nesneleri döndürmek yerine kopyalar oluşturulur.
  • rotatedlist, orijinal döndürülmüş nesnelerle veya yeni kopyalarla birlikte döndürülür.
    • rotatedlist, objectlist girişine bağlı olarak tek bir nesne veya nesne listesidir.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(3, radius=300)
Draft.move(polygon1, App.Vector(1000, 0, 0))

# Rotation around the origin
angle1 = 45
rot2 = Draft.rotate(polygon1, angle1, copy=True)
rot3 = Draft.rotate(polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(polygon1, 4*angle1, copy=True)

polygon2 = Draft.make_polygon(3, radius=1000)
polygon3 = Draft.make_polygon(5, radius=500)
Draft.move(polygon2, App.Vector(2000, 0, 0))
Draft.move(polygon3, App.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
cen = App.Vector(3100, 0, 0)
list2 = [polygon2, polygon3]
rot_list2 = Draft.rotate(list2, angle2, center=cen, copy=True)
rot_list3 = Draft.rotate(list2, 2*angle2, center=cen, copy=True)
rot_list4 = Draft.rotate(list2, 4*angle2, center=cen, copy=True)

doc.recompute()